Mailinglist Archive: opensuse-buildservice (351 mails)

< Previous Next >
Re: [opensuse-buildservice] Expansion error
  • From: "Ladislav Michnovič" <ladislav.michnovic@xxxxxxxxx>
  • Date: Mon, 7 Jul 2008 12:56:52 +0200
  • Message-id: <202bcdd90807070356x5d8c4c16v27dad4de688db7b@xxxxxxxxxxxxxx>
On Mon, Jul 7, 2008 at 11:56 AM, Adrian Schröter <adrian@xxxxxxx> wrote:
On Monday 07 July 2008 11:02:45 Ladislav Michnovič wrote:
Hello.

I see in my home project home:lmich expansion error for dist 10.2:
expansion error nothing provides xorg-x11-libxcb-devel needed by
xosd-devel

I have already added substitution in my prjconf:

osc meta prjconf home:lmich
%if 0%{?suse_version} < 1030
Substitute: xorg-x11-libxcb-devel xorg-x11-devel
Substitute: plib-devel plib
...

Is it a bug in BS or I'm missing something?

Not a bug, just a missing compatibility mapping.

Thank you for your response. I'm still confused why my project conf
does not work.

I have added yours to the general 10.2 project config now.

Package Licq in my home:lmich repo still doesn't build due this expansion error.

Regards Ladislav.
< Previous Next >